View Issue Details

IDProjectCategoryView StatusLast Update
0003350DraftBugpublic2019-07-29 15:04
Reporternormandc Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0003350: Draft Snapping does not recognize App::Part container
DescriptionDraft Snaps are non-functional with Part containers (App::Part). As this is a general purpose container available in all workbenches from the Structure toolbar, being able to use Draft editing tools along with Draft Snapping on Part containers is very much desirable.
Steps To Reproduce
  1. Open attached FC017_simple_Part_container.fcstd
  2. Switch to Draft workbench
  3. Select Part container in the Model tree
  4. Click on Draft Move command
  5. Set end point snap mode active
  6. Try to select any of the cube's vertices.
Tagssnap
FreeCAD Information

Relationships

related to 0003058 closedwmayer wrong dimension "Snap Points" in Draft WB in Imported hierarchical STEP files 

Related Changesets

FreeCAD: master b2963382

2018-02-20 04:19:49

wmayer

Details Diff
fixes 0003350: Draft Snapping does not recognize App::Part container Affected Issues
0003350
mod - src/Gui/Document.cpp Diff File
mod - src/Gui/View3DPy.cpp Diff File

Issue History

Date Modified Username Field Change
2018-02-17 19:29 normandc New Issue
2018-02-17 19:29 normandc File Added: FC017_simple_Part_container.fcstd
2018-02-18 00:26 Kunda1 Tag Attached: snap
2018-02-18 16:51 normandc Relationship added related to 0003050
2018-02-18 16:51 normandc Relationship deleted related to 0003050
2018-02-18 16:52 normandc Relationship added related to 0003058
2018-02-21 10:12 wmayer Assigned To => wmayer
2018-02-21 10:12 wmayer Status new => closed
2018-02-21 10:12 wmayer Resolution open => fixed
2018-02-21 10:12 wmayer Fixed in Version => 0.17
2018-02-21 10:12 wmayer Note Added: 0010967
2019-07-29 15:04 Kunda1 Changeset attached => FreeCAD master b2963382